Skip to main content
GET
/
v1
/
connect
/
{project_id}
/
projects
/
info
cURL
curl --request GET \
  --url https://api.pipedream.com/v1/connect/{project_id}/projects/info \
  --header 'Authorization: Bearer <token>' \
  --header 'x-pd-environment: <x-pd-environment>'
import { PipedreamClient } from "@pipedream/sdk";

const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.projects.retrieveInfo();
from pipedream import Pipedream

client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.projects.retrieve_info()
package com.example.usage;

import com.pipedream.api.BaseClient;

public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;

client.projects().retrieveInfo();
}
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.pipedream.com/v1/connect/{project_id}/projects/info"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "apps": [
    {
      "id": "<string>",
      "name_slug": "<string>"
    }
  ]
}
{
"error": "Throttled"
}

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Response

project info retrieved

Response received when retrieving project info

apps
object[]
required